# serial_transport_posix.c File Reference

Mercury API - POSIX serial transport implementation. More...

`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/select.h>`
`#include <fcntl.h>`
`#include <termios.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <sys/ioctl.h>`
`#include "tm_reader.h"`

## Detailed Description

Mercury API - POSIX serial transport implementation.

Author:
  Nathan Williams

Date:
  10/20/2009